#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  XC\PaymentTest\EventListener\PaymentProcessor:
    tags:
      - {name: kernel.event_listener, event: xcart.payment.action.init.xc.payment_test.model.payment.processor.payment_test, method: onPaymentInitAction}
      - {name: kernel.event_listener, event: xcart.payment.action.pay.xc.payment_test.model.payment.processor.payment_test, method: onPaymentPayAction}
